import time
from pastebin.client import PastebinClient
from pastebin.util import search_by_language


def main():
    pastebin = PastebinClient()
    lang_filters = ['Email', 'Python']

    while True:
        new_pastes = pastebin.update_paste_list()
        print('Updating pastes...')

        for lang in lang_filters:
            pastes = search_by_language(new_pastes, lang)

            for paste in pastes:
                print(f'New {lang} paste: {paste}')

        time.sleep(60)


if __name__ == '__main__':
    main()
